﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectSeaplane.Entities
{
    public class EntitySeaplane : EntityPlane
    {
        /// <summary>
        /// Лодка
        /// </summary>
        public bool Boat { get; private set; }
        /// <summary>
        /// Лодка
        /// </summary>
        public bool Floater { get; private set; }
        /// <summary>
        /// Дополнительный цвет (для опциональных элементов)
        /// </summary>
        public Color AdditionalColor { get; private set; }
        /// <summary>
        /// Инициализация полей объекта-класса спортивного автомобиля
        /// </summary>
        /// <param name="speed">Скорость</param>
        /// <param name="weight">Вес автомобиля</param>
        /// <param name="bodyColor">Основной цвет</param>
        /// <param name="additionalColor">Дополнительный цвет</param>
        /// /// <param name="Boat">Признак наличия лодки</param>
        /// <param name="Floater">Признак наличия поплавка</param>
        public EntitySeaplane(int speed, double weight, Color bodyColor, Color additionalColor, bool boat, bool floater) : base(speed, weight, bodyColor)
        {
            AdditionalColor = additionalColor;
            Boat = boat;
            Floater = floater;
        }
    }
}
